﻿------------------------------
--      Are you local?      --
------------------------------

local boss = BB["Ionar"]
local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)

----------------------------
--      Localization      --
----------------------------

L:RegisterTranslations("enUS", function() return {
	cmd = "Ionar",

	engage_trigger = "You wish to confront the master? You must weather the storm!",

	overload = "Static Overload",
	overload_desc = "Warn for who has the Static Overload.",
	overload_message = "%s: Static Overload",

	ball = "Ball Lightning",
	ball_desc = "Warn on who the Ball Lightning is casted.",
	ball_message = "Ball Lightning casted on %s",
} end)

L:RegisterTranslations("deDE", function() return {
} end)

L:RegisterTranslations("frFR", function() return {
	engage_trigger = "Vous souhaitez affronter le maître ? Vous devrez d'abord supporter la tempête !",

	overload = "Surcharge statique",
	overload_desc = "Prévient quand un joueur subit les effets de la Surcharge statique.",
	overload_message = "%s : Surcharge statique",

	ball = "Foudre en boule",
	ball_desc = "Prévient sur qui la Foudre en boule est incantée.",
	ball_message = "Foudre en boule incanté sur %s",
} end)

L:RegisterTranslations("koKR", function() return {
} end)

L:RegisterTranslations("zhCN", function() return {
} end)

L:RegisterTranslations("zhTW", function() return {
} end)

L:RegisterTranslations("esES", function() return {
} end)

----------------------------------
--      Module Declaration      --
----------------------------------

local mod = BigWigs:NewModule(boss)
mod.partycontent = true
mod.otherMenu = "The Storm Peaks"
mod.zonename = BZ["Halls of Lightning"]
mod.enabletrigger = boss
mod.guid = 28546
mod.toggleoptions = {"overload","ball","bosskill"}
mod.revision = tonumber(("$Revision: 81795 $"):sub(12, -3))

------------------------------
--      Initialization      --
------------------------------

function mod:OnEnable()
	self:AddCombatListener("SPELL_AURA_APPLIED", "Overload", 52658, 59796)
	self:AddCombatListener("SPELL_AURA_REMOVED", "OverloadRemoved", 52658, 59796)
	self:AddCombatListener("SPELL_CAST_START", "Ball", 52780)
	self:AddCombatListener("UNIT_DIED", "BossDeath")
end

------------------------------
--      Event Handlers      --
------------------------------

function mod:Overload(player, spellID)
	if self.db.profile.overload then
		self:IfMessage(L["overload_message"]:format(player), "Urgent", spellID)
		self:Bar(L["overload_message"]:format(player), 10, spellID)
	end
end

function mod:OverloadRemoved(player)
	if self.db.profile.overload then
		self:TriggerEvent("BigWigs_StopBar", self, L["overload_message"]:format(player))
	end
end

function mod:Ball(player)
	if self.db.profile.ball then
	self:IfMessage(L["ball_message"]:format(player), "Urgent", spellID)
	end
end
