﻿------------------------------
--      Are you local?      --
------------------------------

local boss = BB["Volkhan"]
local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)

----------------------------
--      Localization      --
----------------------------

L:RegisterTranslations("enUS", function() return {
	cmd = "Volkhan",

	engage_trigger = "It is you who have destroyed my children? You... shall... pay!",

	stomp = "Shattering Stomp",
	stomp_desc = "Warn when Volkhan is going to shatter all his Brittle Golems.",
	stomp_message = "Incoming Brittle Golems Shattering!",
} end)

L:RegisterTranslations("deDE", function() return {
} end)

L:RegisterTranslations("frFR", function() return {
	engage_trigger = "C'est vous qui avez détruit mes enfants ? Vous... allez... payer !",

	stomp = "Piétinement fracassant",
	stomp_desc = "Prévient quand Volkhan est sur le point de briser tous ses Golems vermoulus.",
	stomp_message = "Se prépare à briser tous les Golems vermoulus !",
} end)

L:RegisterTranslations("koKR", function() return {
} end)

L:RegisterTranslations("zhCN", function() return {
} end)

L:RegisterTranslations("zhTW", function() return {
} end)

L:RegisterTranslations("esES", function() return {
} end)

----------------------------------
--      Module Declaration      --
----------------------------------

local mod = BigWigs:NewModule(boss)
mod.partycontent = true
mod.otherMenu = "The Storm Peaks"
mod.zonename = BZ["Halls of Lightning"]
mod.enabletrigger = boss
mod.guid = 28587
mod.toggleoptions = {"stomp","bosskill"}
mod.revision = tonumber(("$Revision: 81795 $"):sub(12, -3))

------------------------------
--      Initialization      --
------------------------------

function mod:OnEnable()
	self:AddCombatListener("SPELL_CAST_START", "Stomp", 52237, 59529)
	self:AddCombatListener("UNIT_DIED", "BossDeath")
end

------------------------------
--      Event Handlers      --
------------------------------

function mod:Stomp(_, spellID, spellName)
	if self.db.profile.stomp then
		self:IfMessage(L["stomp_message"], "Urgent", spellID)
		self:Bar(spellName, 3, spellID)
	end
end
